## org.omg.CORBA
Class UnionMemberSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.UnionMemberSeqHelper

public class UnionMemberSeqHelper
extends java.lang.Object

Helper class for : UnionMemberSeq

Author:
  OpenORB Compiler

Constructor Summary
`UnionMemberSeqHelper()`

Method Summary
`static UnionMember[]` `extract(Any a)` Extract UnionMemberSeq from an any
`static java.lang.String` `id()` Return the UnionMemberSeq IDL ID
`static void` `insert(Any a, UnionMember[] t)` Insert UnionMemberSeq into an any
`static UnionMember[]` `read(InputStream istream)` Read UnionMemberSeq from a marshalled stream
`static TypeCode` `type()` Return the UnionMemberSeq TypeCode
`static void` `write(OutputStream ostream, UnionMember[] value)` Write UnionMemberSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionMemberSeqHelper

    public UnionMemberSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              UnionMember[] t)

  Insert UnionMemberSeq into an any
  Parameters:
    `a` - an any
    `t` - UnionMemberSeq value

### extract

    public static UnionMember[] extract(Any a)

  Extract UnionMemberSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted UnionMemberSeq value

### type

    public static TypeCode type()

  Return the UnionMemberSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the UnionMemberSeq IDL ID
  Returns:
    an ID

### read

    public static UnionMember[] read(InputStream istream)

  Read UnionMemberSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed UnionMemberSeq value

### write

    public static void write(OutputStream ostream,
                             UnionMember[] value)

  Write UnionMemberSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - UnionMemberSeq value